#!/bin/bash
#!/bin/bash
# 开发主机（开发环境服务器 有SSH权限至生产环境）
DEV_HOST=root@dbo.fmode.cn
# 生产主机(生产环境服务器)
PROD_HOST=root@8.140.98.43
# 部署路径
TEMP_WWW=/opt/edu-textbook-www

# 部署过程
ng build textbook
ssh $DEV_HOST "mkdir -p $TEMP_WWW"
tar zcvf dist/edu-textbook-www.tar.gz dist/textbook/browser/
cp dist/edu-textbook-www.tar.gz docker-front/opt/ # docker 目录
scp dist/edu-textbook-www.tar.gz $DEV_HOST:$TEMP_WWW/
ssh $DEV_HOST "scp -r $TEMP_WWW/edu-textbook-www.tar.gz $PROD_HOST:/var/www/"
ssh $DEV_HOST "ssh $PROD_HOST \"cd /var/www/ && tar zxvf edu-textbook-www.tar.gz && cp edu-textbook-www.tar.gz edu-textbook/ && cp -rf dist/textbook/browser/* edu-textbook/ \"" # 仅安装prod
