export const Department = {
  "className": "Department",
  "fields": {
    "parent": {//上级
      "type": "Pointer",
      "targetClass": "Department",
      "required": false
    },
    "name": {//单位、组织名称
      "type": "String",
      "required": false
    },
    "code": {//标识码
      "type": "String",
      "required": false
    },
    "branch": {//主管部门
      "type": "String",
      "required": false
    },
    "address": {//所在地
      "type": "String",
      "required": false
    },
    "type": { // 单位类型
      "type": "String",
      "required": false
    },
    "hasChildren": {//办学层次
      "type": "Boolean",
      "required": false
    },
  },
  "classLevelPermissions": {
    "find": {
      "*": true
    },
    "get": {
      "*": true
    },
    "count": {
      "*": true
    },
    "create": {
      "*": true
    },
    "update": {
      "*": true
    },
    "delete": {
      "*": true
    },
    "addField": {
      "*": true
    },
    "protectedFields": {
      "*": []
    }
  }

}
module.exports.Department = Department