export const EduCollection = {
    "className": "EduCollection",
    "fields": {
        "title": {
            "type": "String",
            "required": false
        },
        "name": {
            "type": "String",
            "required": false
        },
        "desc": {
            "type": "String",
            "required": false
        },
        "code": {
            "type": "String",
            "required": false
        },
        "area": {//所属省份
            "type": "String",
            "required": false
        },
        "num": {
            "type": "Number",//流程数量
            "required": false
        },
        "profileSubmitted": {
            "type": "Pointer",
            "targetClass":"Profile",
            "required": false
        },
        "status": {
            "type": "String",
            "required": false
        },
    },
    "classLevelPermissions": {
        "find": {
            "*": true
        },
        "get": {
            "*": true
        },
        "count": {
            "*": true
        },
        "create": {
            "*": true
        },
        "update": {
            "*": true
        },
        "delete": {
            "*": true
        },
        "addField": {
            "*": true
        },
        "protectedFields": {
            "*": []
        }
    }
}
module.exports.EduCollection = EduCollection