import { NgModule } from "@angular/core";
import { RouterModule, Routes } from "@angular/router";
import { LoginComponent } from './login/login.component';
// import { ResetPasswordComponent } from './reset-password/reset-password.component';
import { RegisterComponent } from './register/register.component';
import { AccountInfoComponent } from './account-info/account-info.component'
const routes: Routes = [
  { path: '', redirectTo:'login', pathMatch: "full",}, // 默认跳转到 ''
  {
    path: 'login',
    component: LoginComponent,
  },
  {
    path:'account_info',
    component:AccountInfoComponent
  },
  // {
  //   path: 'reset_password',
  //   component: ResetPasswordComponent,
  // },
  {
    path: 'register',
    component: RegisterComponent,
  },
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class LoginRoutingModule {}
