import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ApproveComponent } from './approve/approve.component';
const routes: Routes = [
  {
    path: '',
    redirectTo:'manage/apply',
    pathMatch: "full",
  },
  {
    path: 'manage',
    children: [
      {
        path: 'apply', //创建教材
        component: ApproveComponent,
      },
    ],
  }
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class NavReviewRoutingModule {}
