import { MatDialog } from "@angular/material/dialog";
import { Router } from "@angular/router";
import Parse from "parse";
import { ParseSchema } from "./func-parse";

export const Department:ParseSchema = {
    title:"组织",
    className:"Department",
    emptyImg:"/img/webhook-empty.png",
    include:["user"],
    buttons:[
        {
            name:"编辑",
            place:"item",
            show:(options:{object:Parse.Object})=>{
                if(location?.pathname=='/nav-admin/manage/role'){
                    return true
                }
                return false
            },
            handle:(options:{dialog:MatDialog,object:Parse.Object,router?:Router})=>{
                
            }
        }
    ],
    fieldsArray:[
        {key:"name",name:"名称",type:"String",isHeader:true},
        {key:"branch",name:"所属类型",type:"String",isHeader:true},
    ]
}