export const EduProcess = {
  "className": "EduProcess",
  "fields": {
    "eduCollection": { //指向报送合集
      "type": "Pointer",
      "targetClass": "EduCollection",
      "required": false
    },
    "branch": { //类别
      "type": "Pointer",
      "targetClass": "Department",
      "required": false
    },
    "department": { //部门/单位
      "type": "Pointer",
      "targetClass": "Department",
      "required": false
    },
    // "profileSubmitteds": {//流程管理员
    //   "type": "Array",
    //   "required": false
    // },
    "profileSubmitted": {//流程管理员
      "type": "Pointer",
      "targetClass":"Profile",
      "required": false
    },
    "name": {//流程名称
      "type": "String",
      "required": false
    },
    "num": {//报送名额
      "type": "Number",
      "required": false
    },
    "code": {//流程唯一标识
      "type": "String",
      "required": false
    },
    "startDate": {//开始时间
      "type": "Date",
      "required": false
    },
    "deadline": {//截止时间
      "type": "Date",
      "required": false
    },
    "status": {//状态 100:暂停 200：已提交
      "type": "String",
      "required": false
    },
  },
  "classLevelPermissions": {
    "find": {
      "*": true
    },
    "get": {
      "*": true
    },
    "count": {
      "*": true
    },
    "create": {
      "*": true
    },
    "update": {
      "*": true
    },
    "delete": {
      "*": true
    },
    "addField": {
      "*": true
    },
    "protectedFields": {
      "*": []
    }
  }
}
module.exports.EduProcess = EduProcess