export const Profile = {
  "className": "Profile",
  "fields": {
    "user": {
      "type": "Pointer",
      "targetClass": "_User",
      "required": false
    },
    // "name": {
    //   "type": "String"
    // },
    // "phone": {
    //   "type": "String"
    // },
    // "email": {
    //   "type": "String"
    // },
    "telephone": {
      "type": "String"
    },
    "province": {
      "type": "String"
    },
    "companyType": {
      "type": "String"
    },
    "postName": {
      "type": "String"
    },
    "idcard": {
      "type": "String"
    },
    "identity": {
      "type": "String"
    },
    "identityFile": {
      "type": "String"
    },
    "majorSubject": {
      "type": "String"
    }
  },
  "classLevelPermissions": {
    "find": {
      "*": true
    },
    "get": {
      "*": true
    },
    "count": {
      "*": true
    },
    "create": {
      "*": true
    },
    "update": {
      "*": true
    },
    "delete": {
      "*": true
    },
    "addField": {
      "*": true
    },
    "protectedFields": {
      "*": []
    }
  }
}
module.exports.Profile = Profile