export const Submitted = {
  "className": "Submitted",
  "fields": {
    "eduCollection": { //指向报送合集
      "type": "Pointer",
      "targetClass": "EduCollection",
      "required": false
    },
    "profile": {//报送人
      "type": "Pointer",
      "targetClass": "Profile",
      "required": false
    },
  },
  "classLevelPermissions": {
    "find": {
      "*": true
    },
    "get": {
      "*": true
    },
    "count": {
      "*": true
    },
    "create": {
      "*": true
    },
    "update": {
      "*": true
    },
    "delete": {
      "*": true
    },
    "addField": {
      "*": true
    },
    "protectedFields": {
      "*": []
    }
  }
}
module.exports.Submitted = Submitted